<?php
include ("../conexion.php");
include ("../funciones/fechas.php");
date_default_timezone_set('America/Costa_Rica');
$cdgcli=$_POST["cdgcli"];
$cdgtipven=$_POST["combotipoventa"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$tipoven=$_POST["tipoven"];
$gesven=$_POST["gesven"];


$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 




$cadena_busqueda=$_POST["cadena_busqueda"];

$where="";
$where2="1=1";
$where3="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($gesven <> "") { $where.=" AND gesven='$gesven'"; }

if ($cdgtipven <> "") { $where2.=" AND cdgtipven='$cdgtipven'"; }
if ($cdgtipven <> "") { $where3.=" AND cdgtipven='$cdgtipven'"; }

/*
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}
*/

/*
if ($tipoven <> ""){


if ($tipoven == "8DIAS"){ $where3.="  AND fecha between DATE(DATE_ADD(now(), INTERVAL - 8 DAY)) AND CURRENT_DATE()"; }
if ($tipoven == "15DIAS"){ $where3.=" AND fecha between DATE(DATE_ADD(now(), INTERVAL - 15 DAY)) AND CURRENT_DATE()"; }
if ($tipoven == "30DIAS"){ $where3.=" AND fecha between DATE(DATE_ADD(now(), INTERVAL - 30 DAY)) AND CURRENT_DATE()"; }
if ($tipoven == "45DIAS"){ $where3.=" AND fecha between DATE(DATE_ADD(now(), INTERVAL - 45 DAY)) AND CURRENT_DATE()"; }
if ($tipoven == "2MESES"){ $where3.=" AND fecha between DATE(DATE_ADD(now(), INTERVAL - 2 MONTH)) AND CURRENT_DATE()"; }

//if ($tipoven == "VENCIDOS"){ $where2.=" AND feclot <= CURRENT_DATE() ";}
}
*/

if ($tipoven <> ""){


if ($tipoven == "8DIAS"){ $where3.="  AND fecha >= DATE(DATE_ADD(now(), INTERVAL - 8 DAY)) "; }
if ($tipoven == "15DIAS"){ $where3.=" AND fecha >= DATE(DATE_ADD(now(), INTERVAL - 15 DAY)) "; }
if ($tipoven == "30DIAS"){ $where3.=" AND fecha >= DATE(DATE_ADD(now(), INTERVAL - 30 DAY)) "; }
if ($tipoven == "45DIAS"){ $where3.=" AND fecha >= DATE(DATE_ADD(now(), INTERVAL - 45 DAY))"; }
if ($tipoven == "2MESES"){ $where3.=" AND fecha >= DATE(DATE_ADD(now(), INTERVAL - 2 MONTH)) "; }

//if ($tipoven == "VENCIDOS"){ $where2.=" AND feclot <= CURRENT_DATE() ";}
}



?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_proforma(codfactura,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique factura ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(subtot,destot,impven,totalfacturas) {
	parent.document.form_busqueda.subtot.value=subtot;
	parent.document.form_busqueda.destot.value=destot;
	parent.document.form_busqueda.impven.value=impven;
	parent.document.form_busqueda.totalfacturas.value=totalfacturas;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php //echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php //echo $totalfacturas?>">
				<?php 		
						
			//	if ($filas > 0) { 
						$contador=0;
						$marcaestado=0;	
						$marcaborrado=0;		
						
// $consulta= ("SELECT CDGCLI,DSCCLI FROM web_0301 WHERE ESTCLI='ACTIVO' ".$where."  ORDER BY DSCCLI");
 
  $consulta= "SELECT CDGCLI,DSCCLI
 FROM web_0301 WHERE ESTCLI='ACTIVO'
  AND CDGCLI NOT IN (SELECT DISTINCT `cdgcli` FROM facturas WHERE ".$where3.")".$where." ORDER BY DSCCLI";
  
  
  
if ($resultado = $mysqli->query($consulta)) {
$count = 0;
	
	while ($dato = $resultado->fetch_assoc()) {
	
		$cdgcli  = $dato['CDGCLI'];
		$dsccli  = $dato['DSCCLI'];
		$dsccli = substr($dsccli, 0, 30); 
		
		
		// aqui averiguo quienes si han facturando en los ultimos x dias
		$sql="SELECT MAX(codfactura) AS codfactura  FROM facturas WHERE ".$where2." AND cdgcli='$cdgcli'  ORDER BY `facturas`.`codfactura` ";
		$resultadosql = $mysqli->query($sql);
		$filasql = $resultadosql->fetch_array();
		$filas_sql= $resultadosql->num_rows;
		
		 $codfactura = $filasql["codfactura"];
		
		if ($codfactura <> "") { 
		
		// $codfactura = $filasql["codfactura"];
		 
		 
		 $sql2="SELECT codfactura,dsccli,cdgcli ,fecha , borrado, totalfactura,estado,numfactura,cdgtipven,cdgven  FROM facturas WHERE ".$where2." AND codfactura='$codfactura' ";
		$resultadosql2 = $mysqli->query($sql2);
		$filasql2 = $resultadosql2->fetch_array();
		
		
		$numfactura = $filasql2["numfactura"];
		 $cdgtipven = $filasql2["cdgtipven"];
		 $cdgven = $filasql2["cdgven"];
		$fecha  = $filasql2['fecha'];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
		$totalfactura = $filasql2["totalfactura"];
		
		
		
			$fecha2  = $filasql2['fecha'];
			$fechaActual = date('Y-m-d'); 
			$datetime1 = date_create($fecha2);
			$datetime2 = date_create($fechaActual);
			$diferencia = date_diff($datetime1, $datetime2);
			$differenceFormat = '%a';
			$diferencia= $diferencia->format($differenceFormat);
		

		
		//echo "   ".  $cdgcli ."   ".$DSCCLI ."   ".$fecha ."   ".number_format($totalfactura,2,".",",") ;
		//	echo "<br>";	
		
		
			$consultau = "SELECT * FROM usuarios WHERE codusu='$cdgven'";
			$resultadou = $mysqli->query($consultau);
			$rowu = $resultadou->fetch_array();
			$filas_vendedor = $resultadou->num_rows;
			
			if ($filas_vendedor > 0) { 
			$vendedor  = $rowu["usu"]; }else { $vendedor  = "DESCONOCIDO"; }
			
			$dsccli = substr($dsccli, 0, 55); 
		

		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 

		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

		  <td width="6%"><div align="left"><?php echo $numfactura ?> </div></td>
								<td width="10%" align="center"><div align="center"><?php echo $fecha?></div></td>
								<td width="4%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
								<td width="34%"><div align="left"><?php echo 	$dsccli?></div></td>	
								
								<?php   if ($cdgtipven == 1){?>
		  <td width="6%"><div align="center"><span class="label label-primary"><?php echo $tipo; ?></span></div></td>	
							
				<?php   } else {?>	
		  <td width="12%"><div align="center"><span class="label label-success"><?php echo $tipo; ?></span></div></td>			
		
			<?php   } ?>
			
			<td width="13%"><div align="center"><?php echo $diferencia; ?></div></td>
						
      <td width="13%"><div align="center"><?php echo $vendedor; ?></div></td>
          <td width="9%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>

		  
						</tr>	
						<?php $contador++;
						
						
						}

				}
							
						//	}
							
							
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
			<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>	
                    	
                    
                 <script languaje="javascript">
<?php /*?>	//pon_prefijo("<?php echo $subtot ?>","<?php echo $destot ?>","<?php echo $impven ?>","<?php echo $totalfacturas ?>");<?php */?>
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
